org.apache.tinkerpop.gremlin.hadoop.structure

## Class HadoopConfiguration

- java.lang.Object
- - AbstractConfiguration
  - - org.apache.tinkerpop.gremlin.hadoop.structure.HadoopConfiguration

- All Implemented Interfaces:
    Serializable, Iterable

      public final class HadoopConfiguration
      extends AbstractConfiguration
      implements Serializable, Iterable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopConfiguration()`
    `HadoopConfiguration(Configuration configuration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addPropertyDirect(String key, Object value)`
    `protected void` | `clearPropertyDirect(String key)`
    `boolean` | `containsKey(String key)`
    `Class<<any>>` | `getGraphInputFormat()` Deprecated. As of release 3.2.0, replaced by `getGraphReader()`.
    `Class<<any>>` | `getGraphOutputFormat()` Deprecated. As of release 3.2.0, replaced by `getGraphWriter()`.
    `<A> Class<A>` | `getGraphReader()`
    `<A> Class<A>` | `getGraphWriter()`
    `String` | `getInputLocation()`
    `Iterator<String>` | `getKeys()`
    `String` | `getOutputLocation()`
    `Object` | `getProperty(String key)`
    `boolean` | `isEmpty()`
    `Iterator` | `iterator()`
    `void` | `setInputLocation(String inputLocation)`
    `void` | `setOutputLocation(String outputLocation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### HadoopConfiguration

          public HadoopConfiguration()

    - #### HadoopConfiguration

          public HadoopConfiguration(Configuration configuration)

  - ### Method Detail

    - #### addPropertyDirect

          protected void addPropertyDirect(String key,
                                           Object value)

    - #### clearPropertyDirect

          protected void clearPropertyDirect(String key)

    - #### isEmpty

          public boolean isEmpty()

    - #### containsKey

          public boolean containsKey(String key)

    - #### getProperty

          public Object getProperty(String key)

    - #### getKeys

          public Iterator<String> getKeys()

    - #### getGraphReader

          public <A> Class<A> getGraphReader()

    - #### getGraphWriter

          public <A> Class<A> getGraphWriter()

    - #### getGraphInputFormat

          @Deprecated
          public Class<<any>> getGraphInputFormat()

      Deprecated. As of release 3.2.0, replaced by `getGraphReader()`.

    - #### getGraphOutputFormat

          @Deprecated
          public Class<<any>> getGraphOutputFormat()

      Deprecated. As of release 3.2.0, replaced by `getGraphWriter()`.

    - #### getInputLocation

          public String getInputLocation()

    - #### setInputLocation

          public void setInputLocation(String inputLocation)

    - #### getOutputLocation

          public String getOutputLocation()

    - #### setOutputLocation

          public void setOutputLocation(String outputLocation)

    - #### iterator

          public Iterator iterator()

      Specified by:
        `iterator` in interface `Iterable`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.